Mostrar nome da música no aMSN

Estava procurando uma solução para mostrar, no nick do aMSN, o nome da música que estou ouvindo, semelhante àquele recurso do MSN 7. Então encontrei um plugin para o aMSN que faz isso: o "Music".

[ Hits: 106.227 ]

Por: Everton da Silva em 05/10/2005


Introdução



Eu estava procurando uma solução para mostrar, no nick do aMSN, o nome da música que estou ouvindo, semelhante àquele recurso do MSN 7. Então encontrei um plugin para o aMSN que faz isso: o "Music". Também é necessário um plugin para o XMMS: o "XMMS InfoPipe".

Nos comandos apresentados no artigo, aqueles com um "$" no início podem ser executados como usuário comum (opcional), e os com "#" devem ser executados como root.

    Próxima página

Páginas do artigo
   1. Introdução
   2. Baixando os plugins
   3. Instalando e configurando os plugins
   4. Considerações finais
Outros artigos deste autor

Resolvendo problemas com o Conexão Segura da CAIXA

Controlando acesso às páginas do Apache na rede interna

Instalando o DBDesigner no Linux

Leitura recomendada

Redmine 2.1.4 no Debian Squeeze - Instalação e configuração

Instalação de VMWare Workstation 6.x em sistemas Mandriva Linux

Nautilus Scripts

Compiz e Compiz-Fusion no novo Sabayon Linux

GNU Octave: Alternativa ao uso do MATLAB

  
Comentários
[1] Comentário enviado por luisroo em 05/10/2005 - 08:48h

Muito bom kra!

[2] Comentário enviado por marcosgomes em 05/10/2005 - 10:22h

Funionou perfeito!!!!!

Galera apos descompactar de permissão no diretorio de o plugn /diretório_do_aMSN/plugins, para poder selecionar e configurar o plugn "Music" ....

Valeu !!! Imperador Notreve

Markim

[3] Comentário enviado por reimassupilami em 05/10/2005 - 10:26h

ae pessoal, legal q gostaram... esse é um artigo que já havia postado antes, mas devido àquele problema do site acabei perdendo, daí postei novamente... infelizmente também foram perdidos todos comentários do pessoal, que tinham acrescentado muita coisa legal... agora vamos ver se o pessoal posta novamente, pra melhorarmos a idéia...

duas coisas que ficaram pendente pra gente descobrir como fazer, eram:
- descobrir uma forma de fazer o aMSN carregar o plugin automaticamente quando ele é aberto, pois é muito chato ter que carregar o plugin toda vez;
- descobrir uma forma de manter as configurações do plugin, pois toda vez que ele carregado temos que confiurar (isso eu tinha descoberto como, mas esqueci, vou ver se encontro novamente e posto aki).

é isso povo, qualquer novidade postem... t+

[4] Comentário enviado por skfk em 05/10/2005 - 11:37h

muito bom... ainda bem que postou novamente ehhe
valeu cara!

[5] Comentário enviado por francodof em 08/10/2005 - 01:53h

Ótimo artigo!
Mas tenho uma dúvida: sempre me atrapalho com permissões. Nesse caso, o plugin foi descompactado em /usr/.../amsn/plugins/music. Basta dar apenas permissão de leitura para o diretório music, conforme abaixo?
# chmod 744 /usr/.../amsn/plugins/music

[6] Comentário enviado por reimassupilami em 09/10/2005 - 23:33h

sim, a questão de permissões é normal... dando permissão de execução para o usuario ja tá legal...

[7] Comentário enviado por iodarkavenger em 17/12/2005 - 14:03h

ehueahuaeuhe
bixo mto bom o arquivo
so da a permição a pasta music
vlw ai pelo artigo!

[8] Comentário enviado por morronix em 17/12/2005 - 17:17h

mano,quando eu dou um ./configure ele dah um erro,eu preciso do glib 1.2 para contruir o plugin.Esse não é um dos pacotes que vem no xmms?pq será q apareceu isto?

[9] Comentário enviado por Baltazahr em 31/12/2005 - 23:45h

Oi, reimassupilami. Estou com um problema um pouco parecido com o do Morronix. Eu estou usando um FedoraCore4 e baixei recentemente a versão 0.95 do aMSN. Fiz uma atualização com rpm -U e consegui instalar esta nova versão sem que nenhuma mensagem de erro fosse exibida. Em seguida, baixei o plugin de musica, descompactei na pasta indicada e ao abrir o aMSN ele reconhece os plugins e consigo até configurá-los. Porem, as atualizações não fazem nenhum efeito. Para corrigir o problema, baixei o XMMS InfoPipe, mas quando executo o comando ./configure (como root ou usuario comum), os seguintes erros me são apresentados no bash:
hecking whether build environment is sane... yes
checking whether make sets ${MAKE}... yes
checking for working aclocal... missing
checking for working autoconf... missing
checking for working automake... missing
checking for working autoheader... missing
checking for working makeinfo... missing
checking for gcc... no
checking for cc... no
configure: error: no acceptable cc found in $PATH

O que está faltando fazer? Se você puder me ajudar a corrigir este problema ou me der umas dicas sobre que pontos eu devo checar, eu agradeço muito mesmo! Um ótimo Ano Novo para você e a todos os colegas do VOL!

[10] Comentário enviado por reimassupilami em 02/01/2006 - 08:10h

checking for gcc... no
checking for cc... no

bem, de cara posso sugerir que vc verifique se tem o gcc e o cc instalados e devidamente funcionando... senão não tem como compilar, ehehe...

[11] Comentário enviado por reimassupilami em 02/01/2006 - 08:24h

ow pessoal, pra quem ainda não testou ou ainda nem sabe, recomendo baixar a versão mais recente do aMSN, que saiu semana passada... nessa versão diversos bugs desse beta que estávamos usando foram corrigidos, ficou bom mesmo...

até aquela questão sobre os plugins foi melhorada... o music, por exemplo, que é tratado nesse artigo, tem mais opções agora, e é carregado automaticamente quando se abre o aMSN, não precisa mais configurar e carregar toda vez...

:0)

[12] Comentário enviado por baltazahr em 03/01/2006 - 22:25h

Oi, reimassupilami. Como vai? Primeiro, gostaria de agradecer a sua sugestão. Veja só; Eu instalei a glibc com o yum do FedoraCore4 e tudo correu bem. Resumindo; na compilação do plugin, tive a seguinte mensagem de erro no final:
*** The glib-config script installed by GLIB could not be found
*** If GLIB was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the GLIB_CONFIG environment variable to the
*** full path to glib-config.
configure: error: You need glib 1.2 or later to build this plug-in.

Parece-me que ele pede uma versão da glibc que seja igual ou que esteja a frente da glib1.2 Pelo que conheço, quando instalo alguma coisa com o yum ele traz tudo o que tem de mais recente. Nesta mensagem de erro aparece também alguma coisa sobre um PREFIX em /bin. O que mais poderia tentar para resolver este problema? Se alguém puder me dar uma luz, agradeço muito! Um abraço a todos os colegas da comunidade!

[13] Comentário enviado por reimassupilami em 04/01/2006 - 08:27h

hum cara, dae é rojão hein... eu ja tive problemas assim com o glib na compilação de outros programas... é um negócio complicado, acabei desistindo justamente por isso mesmo, por não haver uma versão mais nova disponivel, e mesmo assim ele pedir... complicado isso...

bem, verifique qual versão do glib vc tem instalado... se for mesmo uma versao igual ou superior a essa, entao o problema está no PATH, por isso ta dando essa outra mensagem... dae a gente tenta descobrir como configurar isso...

[14] Comentário enviado por baltazahr em 04/01/2006 - 11:56h

Reimassupilami, por um acaso este PATH mencionado na mensagem de erro funciona de forma parecida ou com função parecida com a linha de path no autoexec.bat do MSDOS? Ou seja; um comando ou uma configuração que deva ser carregado no boot do Linux para que este guarde as configurações e fique automático? Um abraço, Té mais!

[15] Comentário enviado por reimassupilami em 04/01/2006 - 14:02h

sim, mais ou menos a mesma coisa... é uma variavel de sistema, onde ficam armazenados os caminhos de algumas coisas... derepente o glib usa isso tambem, dae falta configurar o PATH...

vc pode dar um "echo $PATH" pra ver o conteudo dele...

[16] Comentário enviado por baltazahr em 04/01/2006 - 16:55h

O resultado foi:
echo $PATH
/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/home/asbc/bin

Bem, então, para a resolução do problema, vou partir daí. Pois eu acho difícil o problema estar de fato relacionado à versão da glibc, pois, como disse, fiz com o yum e ele traz o que tem de mais recente. Gostaria de agradecer a sua ajuda e dizer que vou continuar tentando. Quando tiver novidades, vou postar aqui. Caso você lembre de mais algum procedimento que eu possa tentar, não se acanhe! :) Um grande abraço e muito obrigado!

[17] Comentário enviado por reimassupilami em 04/01/2006 - 17:13h

então, acho que o caminho é esse mesmo... veja onde está o executavel do glib, ou algo assim, derepente nenhum dos caminhos q estão no PATH estão apontando pra ele...

eu estava olhando aqui numa maquina com mandrake 10, ela não tem glib instalado, tem só glibc, q está na versão 2.3.3.-18, mas acho q nao tem nada a ver... porém fui olhar no repositorio de pacotes e o glib mais atual q encontrei foi o 1.2.10-15, datado de 5/11/2004!!! ehehehe... então pelo menos pro mandrake essa sua versão seria a mais atual... o problema deve ser mais relacionado a path mesmo...

boa sorte...

[18] Comentário enviado por reimassupilami em 20/02/2006 - 09:40h

pessoal, só dando uma atualizada, o link pra baixar o music mudou, agora está em:

http://prdownloads.sourceforge.net/amsn/music-1.3.zip

[19] Comentário enviado por naldin em 17/04/2006 - 16:54h

Parabens pelo artigo!!! Alguem sabe se tem o mesmo plugin para o Gaim???

[20] Comentário enviado por newba em 23/04/2006 - 22:11h

Já sai direto nós plugins

http://amsn.sourceforge.net/plugins.php

[21] Comentário enviado por magnus em 25/01/2007 - 03:04h

-

[22] Comentário enviado por yzak em 20/05/2007 - 10:56h

Muito bom!

[23] Comentário enviado por cISSagATTo em 11/11/2008 - 14:00h

oi pessoal
também estou tendo o problema ai do nosso amigo e não sei como configurar o path alguém pode me ajudar?

*** The glib-config script installed by GLIB could not be found
*** If GLIB was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the GLIB_CONFIG environment variable to the
*** full path to glib-config.
configure: error: You need glib 1.2 or later to build this plug-in.

[root@m103 xmms-infopipe-1.3]# whereis glib
glib:

[root@m103 xmms-infopipe-1.3]# rpm -q glib
glib-1.2.10-28.fc8

o glib está instalado só tem q configura corretamente a variavel de ambiente mas nao sei como fazer isto ae

muito obrigada desde ja

[]s

[24] Comentário enviado por nita em 30/12/2008 - 19:04h

não consegui..
baixei, descompactei na pasta de plugins do amsn normal, mas na hora de selecionar o plugin ele não aparece na lista.

[25] Comentário enviado por caduguedes em 12/10/2011 - 14:13h

Pra quem ainda tem dúvida, eu encontrei um link que também explica de forma bacana com "prints"!

http://www.luarline.com/2010/06/mostrando-as-musicas-que-estou-ouvindo.html

Abraço.


Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts